capture log close
clear
set mem 50m
set mat 800
set more off

clear
use data

ge expsq = exp^2
ge cafqt2 = cafqt^2
ge mhgc2 = mhgc^2
ge lavlocwage172 = lavlocwage17^2
ge avurate2 = avurate^2

logit state cafqt mhgc cafqt2 mhgc2 lavlocwage17 avurate lavlocwage172 avurate2 pub4 lwage5_17 lurate_17 tuit4
predict phat
predict xbeta, xb
local control2 " cafqt mhgc cafqt2 mhgc2 lavlocwage17 avurate lavlocwage172 avurate2 "
ge xgamma = _b[_cons]
foreach var in `control2' {
    replace xgamma = xgamma + _b[`var']*`var'
}
ge zgamma = xbeta - xgamma
sort caseid

saveold datab, replace

outfile caseid state wage exp expsq cafqt mhgc d57 d58 d59 d60 d61 d62 d63 lwage5 lurate pub4 lwage5_17 lurate_17 lavlocwage17 avurate tuit4 phat using datab.asc, wide replace

set more on
